Bug 208460 - [iOS] Deny mach lookup access to power service
Summary: [iOS] Deny mach lookup access to power service
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-02 11:40 PST by Per Arne Vollan
Modified: 2020-03-19 14:14 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.78 KB, patch)
2020-03-02 11:46 PST, Per Arne Vollan
darin: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2020-03-02 11:40:25 PST
On iOS, deny mach lookup access to the power service in the WebContent process.
Comment 1 Per Arne Vollan 2020-03-02 11:40:51 PST
rdar://problem/57026325
Comment 2 Per Arne Vollan 2020-03-02 11:46:54 PST
Created attachment 392167 [details]
Patch
Comment 3 Per Arne Vollan 2020-03-17 16:06:15 PDT
Thanks for reviewing!
Comment 4 Per Arne Vollan 2020-03-19 14:14:31 PDT
Committed r258726: <https://trac.webkit.org/changeset/258726/webkit>